org.springframework.data.querydsl.binding

## Annotation Type QuerydslPredicate

    @Target(value={PARAMETER,TYPE})
     @Retention(value=RUNTIME)
    public @interface QuerydslPredicate

Annotation to customize the binding of HTTP request parameters to a Querydsl `Predicate` in Spring MVC handler methods.

Since:
  1.11
Author:
  Christoph Strobl, Oliver Gierke

### Optional Element Summary

Optional Elements
`Class<? extends QuerydslBinderCustomizer>` `bindings` To customize the way individual properties' values should be bound to the predicate a `QuerydslBinderCustomizer` can be specified here.
`Class<?>` `root` The root type to create the `Predicate`.

### Element Detail

#### root

    public abstract Class<?> root

The root type to create the `Predicate`. Specify this explicitly if the type is not contained in the controller method's return type.

Returns:

Default:
  java.lang.Object.class

#### bindings

    public abstract Class<? extends QuerydslBinderCustomizer> bindings

To customize the way individual properties' values should be bound to the predicate a `QuerydslBinderCustomizer` can be specified here. We'll try to obtain a Spring bean of this type but fall back to a plain instantiation if no bean is found in the current `BeanFactory`.

Returns:

Default:
  org.springframework.data.querydsl.binding.QuerydslBinderCustomizer.class